diff --git a/ldap/servers/slapd/tools/mmldif.c b/ldap/servers/slapd/tools/mmldif.c
index ddfaf6c..35c594a 100644
--- a/ldap/servers/slapd/tools/mmldif.c
+++ b/ldap/servers/slapd/tools/mmldif.c
@@ -320,11 +320,11 @@ int mm_diff(stats_t *statsp)
     for (i = 0; i < ndirectories; i++) {
         pindex = i / 32;
         pmask = 1 << (i % 32);
-        LDAPDebug(LDAP_DEBUG_TRACE, "finger printing directory %d\n", i, 0, 0);
+        LDAPDebug(LDAP_DEBUG_TRACE, LOG_DEBUG, "finger printing directory %d\n", i, 0, 0);
         while (TRUE) {
             stat = readrec(&edfin[i], &attrib);
             if (stat == IDDS_MM_ABSENT) {
-                LDAPDebug(LDAP_DEBUG_TRACE, "ignored: %s: %s\n", 
+                LDAPDebug(LDAP_DEBUG_TRACE, LOG_DEBUG, "ignored: %s: %s\n", 
                                  attrib->name, attrib->value, 0);
                 continue;
             }
@@ -335,7 +335,7 @@ int mm_diff(stats_t *statsp)
                 return stat;
             }
             records++;
-            LDAPDebug(LDAP_DEBUG_TRACE, "db%d: %s: %s\n", 
+            LDAPDebug(LDAP_DEBUG_TRACE, LOG_DEBUG, "db%d: %s: %s\n", 
                              i, attrib->name, attrib->value);
             hashname(seed, attrib, hashkey.data);
             key = hashkey.key & hashmask;
@@ -348,7 +348,7 @@ int mm_diff(stats_t *statsp)
                     hashentry = hashentry->overflow;
                 if (hashentry != NULL) {
                     if (hashentry->present[pindex] & pmask) {
-                        LDAPDebug(LDAP_DEBUG_TRACE, 
+                        LDAPDebug(LDAP_DEBUG_TRACE, LOG_DEBUG, 
                                          "duplicate DN <%s=%s> (ignored)\n",
                                          attrib->name, attrib->value, 0);
                         if (emitchanges) {
@@ -364,14 +364,14 @@ int mm_diff(stats_t *statsp)
                         hashentry->present[pindex] |= pmask;
                         hashvalue(seed, attrib, fingerprint);
                         if (memcmp(fingerprint, hashentry->fingerprint, 16)) {
-                            LDAPDebug(LDAP_DEBUG_TRACE, 
+                            LDAPDebug(LDAP_DEBUG_TRACE, LOG_DEBUG, 
 				      "...data modified\n", key, 0, 0);
                             hashentry->flags = MODIFIED;
                         }
                     }
                     continue;
                 }
-                LDAPDebug(LDAP_DEBUG_TRACE, "overflow in key %u\n", key, 0, 0);
+                LDAPDebug(LDAP_DEBUG_TRACE, LOG_DEBUG, "overflow in key %u\n", key, 0, 0);
                 hashentry2 = entryalloc();
                 hashentry2->overflow = hashtable[key];
                 hashentry = hashtable[key] = hashentry2;
@@ -406,12 +406,12 @@ int mm_diff(stats_t *statsp)
         rewind(edfin[i].fp);
         edfin[i].end = FALSE;
 
-        LDAPDebug(LDAP_DEBUG_TRACE, 
+        LDAPDebug(LDAP_DEBUG_TRACE, LOG_DEBUG, 
 		  "loading authoritative data from directory %d\n", i, 0, 0);
         while (TRUE) {
             stat = readrec(&edfin[i], &attrib);
             if (stat == IDDS_MM_ABSENT) {
-                LDAPDebug(LDAP_DEBUG_TRACE, "ignored: %s: %s\n", 
+                LDAPDebug(LDAP_DEBUG_TRACE, LOG_DEBUG, "ignored: %s: %s\n", 
 			  attrib->name, attrib->value, 0);
                     continue;
             }
@@ -421,7 +421,7 @@ int mm_diff(stats_t *statsp)
                 free(hashtable);
                 return stat;
             }
-            LDAPDebug(LDAP_DEBUG_TRACE, "db%d: %s: %s\n", 
+            LDAPDebug(LDAP_DEBUG_TRACE, LOG_DEBUG, "db%d: %s: %s\n", 
 		      i, attrib->name, attrib->value);
             hashname(seed, attrib, hashkey.data);
             key = hashkey.key & hashmask;
@@ -430,14 +430,14 @@ int mm_diff(stats_t *statsp)
                    memcmp(hashentry->key, hashkey.data, 16))
                 hashentry = hashentry->overflow;
             if (hashentry == NULL) {
-                LDAPDebug(LDAP_DEBUG_TRACE, "...hash entry not found\n", 0, 0, 0);
+                LDAPDebug(LDAP_DEBUG_TRACE, LOG_DEBUG, "...hash entry not found\n", 0, 0, 0);
                     continue;
             }
             if (!(hashentry->flags & LOADED))
             {
                 hashentry->first = newrecord(attrib);
                 hashentry->flags |= LOADED;
-                LDAPDebug(LDAP_DEBUG_TRACE, " ...data loaded\n", 0, 0, 0);
+                LDAPDebug(LDAP_DEBUG_TRACE, LOG_DEBUG, " ...data loaded\n", 0, 0, 0);
                     hashentry->db = i;
                 continue;
             }
@@ -445,7 +445,7 @@ int mm_diff(stats_t *statsp)
                 continue;
             if (mm_get_winner(hashentry->first, attrib)) {
                 hashentry->flags |= LOADED;
-                LDAPDebug(LDAP_DEBUG_TRACE, " ...winner data loaded\n", 0, 0, 0);
+                LDAPDebug(LDAP_DEBUG_TRACE, LOG_DEBUG, " ...winner data loaded\n", 0, 0, 0);
                 hashentry->db = i;
                 free(hashentry->first);
                 hashentry->first = newrecord(attrib);
@@ -473,12 +473,12 @@ int mm_diff(stats_t *statsp)
         rewind(edfin[i].fp);
         edfin[i].end = FALSE;
 
-        LDAPDebug(LDAP_DEBUG_TRACE, 
+        LDAPDebug(LDAP_DEBUG_TRACE, LOG_DEBUG, 
 		  "generating differences for directory %d\n", i, 0, 0);
         while (TRUE) {
             stat = readrec(&edfin[i], &attrib);
             if (stat == IDDS_MM_ABSENT) {
-                LDAPDebug(LDAP_DEBUG_TRACE, "ignored: %s: %s\n", 
+                LDAPDebug(LDAP_DEBUG_TRACE, LOG_DEBUG, "ignored: %s: %s\n", 
 			  attrib->name, attrib->value, 0);
                 continue;
             }
@@ -488,7 +488,7 @@ int mm_diff(stats_t *statsp)
                 free(hashtable);
                 return stat;
             }
-            LDAPDebug(LDAP_DEBUG_TRACE, "db%d: %s: %s\n", 
+            LDAPDebug(LDAP_DEBUG_TRACE, LOG_DEBUG, "db%d: %s: %s\n", 
 		      i, attrib->name, attrib->value);
             hashname(seed, attrib, hashkey.data);
             key = hashkey.key & hashmask;
@@ -497,7 +497,7 @@ int mm_diff(stats_t *statsp)
                    memcmp(hashentry->key, hashkey.data, 16))
                 hashentry = hashentry->overflow;
             if (hashentry == NULL) {
-                LDAPDebug(LDAP_DEBUG_TRACE, "...hash entry not found\n", 0, 0, 0);
+                LDAPDebug(LDAP_DEBUG_TRACE, LOG_DEBUG, "...hash entry not found\n", 0, 0, 0);
                     continue;
             }
             if (hashentry->flags & IDENTITY)
@@ -507,10 +507,10 @@ int mm_diff(stats_t *statsp)
             hashvalue(seed, attrib, fingerprint);
             if (memcmp(fingerprint, hashentry->fingerprint, 16)) {
                 if (mm_is_deleted(hashentry->first, attrib, 0)) {
-                    LDAPDebug(LDAP_DEBUG_TRACE, " ...deleted\n", 0, 0, 0);
+                    LDAPDebug(LDAP_DEBUG_TRACE, LOG_DEBUG, " ...deleted\n", 0, 0, 0);
                     adddelete(edfout[i], attrib);
                 } else {
-                    LDAPDebug(LDAP_DEBUG_TRACE, " ...modified\n", 0, 0, 0);
+                    LDAPDebug(LDAP_DEBUG_TRACE, LOG_DEBUG, " ...modified\n", 0, 0, 0);
                     addmodified(edfout[i], attrib, hashentry->first);
                 }
             }
@@ -525,7 +525,7 @@ int mm_diff(stats_t *statsp)
  *      no action is needed here.  Otherwise we emit an add.
  *      we take this opportunity to free the memory.
  */
-    LDAPDebug(LDAP_DEBUG_TRACE, "scanning db for new entries\n", 0, 0, 0);
+    LDAPDebug(LDAP_DEBUG_TRACE, LOG_DEBUG, "scanning db for new entries\n", 0, 0, 0);
     for (h = 0; h < 0x1000; h++) {
         for (hashentry = hashtable[h]; hashentry; hashentry = overflow) {
             if (!hashentry->flags)
@@ -539,7 +539,7 @@ int mm_diff(stats_t *statsp)
                 if (mm_is_deleted(hashentry->first, NULL, 0)) continue;
                 added++;
                 if (!emitchanges) continue;
-                LDAPDebug(LDAP_DEBUG_TRACE, " ...add new\n", 0, 0, 0);
+                LDAPDebug(LDAP_DEBUG_TRACE, LOG_DEBUG, " ...add new\n", 0, 0, 0);
                 addnew(edfout[i], "add", hashentry->first);
             }
 
@@ -737,7 +737,7 @@ readrec(edfFILE * edf1, attrib1_t ** attrib)
         }
         vptr = strchr(line, ':');
         if (!vptr) {
-            LDAPDebug(LDAP_DEBUG_TRACE, "%s\n invalid input line\n", 
+            LDAPDebug(LDAP_DEBUG_TRACE, LOG_DEBUG, "%s\n invalid input line\n", 
                              line, 0, 0);
             continue;           /* invalid line, but we'll just skip it */
         }
@@ -766,7 +766,7 @@ readrec(edfFILE * edf1, attrib1_t ** attrib)
             while (*vptr == ' ') vptr++; /* skip optional spaces */
             b64 = initDec64((unsigned char *)att->value, 0x20000);
             if (Dec64(b64, (unsigned char *) vptr)) {
-                LDAPDebug(LDAP_DEBUG_TRACE, "%s\n invalid input line\n", line, 0, 0);
+                LDAPDebug(LDAP_DEBUG_TRACE, LOG_DEBUG, "%s\n invalid input line\n", line, 0, 0);
                 continue;       /* invalid line, but we'll just skip it */
             }
             toolong = FALSE;
@@ -788,14 +788,14 @@ readrec(edfFILE * edf1, attrib1_t ** attrib)
                 rc = Dec64(b64, (unsigned char *)line);
                 if (rc == -1)
                 {
-                    LDAPDebug(LDAP_DEBUG_TRACE, "%s\n invalid input line\n", line, 0, 0);
+                    LDAPDebug(LDAP_DEBUG_TRACE, LOG_DEBUG, "%s\n invalid input line\n", line, 0, 0);
                     continue;   /* invalid line, but we'll just skip it */
                 }
 
                 if (rc) {
                     if (!toolong) {
                         toolong = TRUE;
-                        LDAPDebug(LDAP_DEBUG_TRACE, "%s\n line too long\n", line, 0, 0);
+                        LDAPDebug(LDAP_DEBUG_TRACE, LOG_DEBUG, "%s\n line too long\n", line, 0, 0);
                     }
                     continue;
                 }
diff --git a/ldap/servers/slapd/unbind.c b/ldap/servers/slapd/unbind.c
index c0dec9d..580dfba 100644
--- a/ldap/servers/slapd/unbind.c
+++ b/ldap/servers/slapd/unbind.c
@@ -39,7 +39,7 @@ do_unbind( Slapi_PBlock *pb )
 	int		err;
 	int ignore_criticality = 1;
 
-	LDAPDebug( LDAP_DEBUG_TRACE, "do_unbind\n", 0, 0, 0 );
+	LDAPDebug(LDAP_DEBUG_TRACE, LOG_DEBUG, "do_unbind\n", 0, 0, 0 );
 
 	slapi_pblock_get( pb, SLAPI_OPERATION, &operation);
 	ber = operation->o_ber;
diff --git a/ldap/servers/slapd/util.c b/ldap/servers/slapd/util.c
index 0a37862..94e46ab 100644
--- a/ldap/servers/slapd/util.c
+++ b/ldap/servers/slapd/util.c
@@ -333,7 +333,7 @@ filter_stuff_func(void *arg, const char *val, PRUint32 slen)
             raw_filter.bv_val = (char *)buf;
             raw_filter.bv_len = filter_len;
             if(ldap_bv2escaped_filter_value(&raw_filter, &escaped_filter) != 0){
-                LDAPDebug(LDAP_DEBUG_TRACE, "slapi_filter_sprintf: failed to escape filter value(%s)\n",val,0,0);
+                LDAPDebug(LDAP_DEBUG_TRACE, LOG_DEBUG, "slapi_filter_sprintf: failed to escape filter value(%s)\n",val,0,0);
                 ctx->next_arg_needs_esc_norm = 0;
                 return -1;
             } else {
@@ -345,7 +345,7 @@ filter_stuff_func(void *arg, const char *val, PRUint32 slen)
             buf = slapi_ch_calloc(sizeof(char), filter_len*3 + 1);
             val2 = (char *)do_escape_string(val, filter_len, buf, special_filter);
             if(val2 == NULL){
-                LDAPDebug(LDAP_DEBUG_TRACE, "slapi_filter_sprintf: failed to escape filter value(%s)\n",val,0,0);
+                LDAPDebug(LDAP_DEBUG_TRACE, LOG_DEBUG, "slapi_filter_sprintf: failed to escape filter value(%s)\n",val,0,0);
                 ctx->next_arg_needs_esc_norm = 0;
                 slapi_ch_free_string(&buf);
                 return -1;
@@ -473,7 +473,7 @@ slapi_escape_filter_value(char* filter_str, int len)
     raw_filter.bv_val = filter_str;
     raw_filter.bv_len = filter_len;
     if(ldap_bv2escaped_filter_value(&raw_filter, &escaped_filter) != 0){
-        LDAPDebug(LDAP_DEBUG_TRACE, "slapi_escape_filter_value: failed to escape filter value(%s)\n",filter_str,0,0);
+        LDAPDebug(LDAP_DEBUG_TRACE, LOG_DEBUG, "slapi_escape_filter_value: failed to escape filter value(%s)\n",filter_str,0,0);
         return NULL;
     } else {
         return escaped_filter.bv_val;
@@ -932,7 +932,7 @@ rel2abspath_ext( char *relpath, char *cwd )
         if ( NULL == cwd ) {
             if ( getcwd( abspath, MAXPATHLEN ) == NULL ) {
                 perror( "getcwd" );
-                LDAPDebug( LDAP_DEBUG_ANY, "Cannot determine current directory\n",
+                LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR, "Cannot determine current directory\n",
                         0, 0, 0 );
                 exit( 1 );
             }
@@ -941,7 +941,7 @@ rel2abspath_ext( char *relpath, char *cwd )
         }
     
         if ( strlen( relpath ) + strlen( abspath ) + 1  > MAXPATHLEN ) {
-            LDAPDebug( LDAP_DEBUG_ANY, "Pathname \"%s" _PSEP "%s\" too long\n",
+            LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR, "Pathname \"%s" _PSEP "%s\" too long\n",
                     abspath, relpath, 0 );
             exit( 1 );
         }
@@ -1003,7 +1003,7 @@ void slapd_nasty(char* str, int c, int err)
 	char *msg = NULL;
 	char buffer[100];
 	PR_snprintf(buffer,sizeof(buffer), "%s BAD %d",str,c);
-	LDAPDebug(LDAP_DEBUG_ANY,"%s, err=%d %s\n",buffer,err,(msg = strerror( err )) ? msg : "");
+	LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR,"%s, err=%d %s\n",buffer,err,(msg = strerror( err )) ? msg : "");
 }
 
 /* ***************************************************
@@ -1648,9 +1648,9 @@ int util_info_sys_pages(size_t *pagesize, size_t *pages, size_t *procpages, size
         }
 
         /* Pages is the total ram on the system. */
-        LDAPDebug(LDAP_DEBUG_TRACE,"util_info_sys_pages pages=%lu, \n", 
+        LDAPDebug(LDAP_DEBUG_TRACE, LOG_DEBUG,"util_info_sys_pages pages=%lu, \n", 
             (unsigned long) *pages, 0,0);
-        LDAPDebug(LDAP_DEBUG_TRACE,"util_info_sys_pages using pages for pages \n",0,0,0);
+        LDAPDebug(LDAP_DEBUG_TRACE, LOG_DEBUG,"util_info_sys_pages using pages for pages \n",0,0,0);
 
         /* Availpages is how much we *could* alloc. We should take the smallest:
          * - pages
@@ -1658,21 +1658,21 @@ int util_info_sys_pages(size_t *pagesize, size_t *pages, size_t *procpages, size
          * - freesize
          */
         if (rlimsize == RLIM_INFINITY) {
-            LDAPDebug(LDAP_DEBUG_TRACE,"util_info_sys_pages pages=%lu, getrlim=RLIM_INFINITY, freesize=%lu\n",
+            LDAPDebug(LDAP_DEBUG_TRACE, LOG_DEBUG,"util_info_sys_pages pages=%lu, getrlim=RLIM_INFINITY, freesize=%lu\n",
                 (unsigned long)*pages, (unsigned long)freesize, 0);
         } else {
-            LDAPDebug(LDAP_DEBUG_TRACE,"util_info_sys_pages pages=%lu, getrlim=%lu, freesize=%lu\n",
+            LDAPDebug(LDAP_DEBUG_TRACE, LOG_DEBUG,"util_info_sys_pages pages=%lu, getrlim=%lu, freesize=%lu\n",
                 (unsigned long)*pages, (unsigned long)*availpages, (unsigned long)freesize);
         }
 
         if (rlimsize != RLIM_INFINITY && rlimsize < freesize && rlimsize < *pages && rlimsize > 0) {
-            LDAPDebug(LDAP_DEBUG_TRACE,"util_info_sys_pages using getrlim for availpages \n",0,0,0);
+            LDAPDebug(LDAP_DEBUG_TRACE, LOG_DEBUG,"util_info_sys_pages using getrlim for availpages \n",0,0,0);
             *availpages = rlimsize;
         } else if (freesize < *pages && freesize > 0) {
-            LDAPDebug(LDAP_DEBUG_TRACE,"util_info_sys_pages using freesize for availpages \n",0,0,0);
+            LDAPDebug(LDAP_DEBUG_TRACE, LOG_DEBUG,"util_info_sys_pages using freesize for availpages \n",0,0,0);
             *availpages = freesize;
         } else {
-            LDAPDebug(LDAP_DEBUG_TRACE,"util_info_sys_pages using pages for availpages \n",0,0,0);
+            LDAPDebug(LDAP_DEBUG_TRACE, LOG_DEBUG,"util_info_sys_pages using pages for availpages \n",0,0,0);
             *availpages = *pages;
         }
 
@@ -1733,7 +1733,7 @@ int util_info_sys_pages(size_t *pagesize, size_t *pages, size_t *procpages, size
 #define GIGABYTE (1024*1024*1024)
         size_t one_gig_pages = GIGABYTE / *pagesize;
         if (*pages > (2 * one_gig_pages) ) {
-            LDAPDebug(LDAP_DEBUG_TRACE,"More than 2Gbytes physical memory detected. Since this is a 32-bit process, truncating memory size used for auto cache calculations to 2Gbytes\n",
+            LDAPDebug(LDAP_DEBUG_TRACE, LOG_DEBUG,"More than 2Gbytes physical memory detected. Since this is a 32-bit process, truncating memory size used for auto cache calculations to 2Gbytes\n",
                 0, 0, 0);
             *pages = (2 * one_gig_pages);
         }
@@ -1782,13 +1782,13 @@ int util_is_cachesize_sane(size_t *cachesize)
      */
 
     cachepages = *cachesize / pagesize;
-    LDAPDebug(LDAP_DEBUG_TRACE,"util_is_cachesize_sane cachesize=%lu / pagesize=%lu \n",
+    LDAPDebug(LDAP_DEBUG_TRACE, LOG_DEBUG,"util_is_cachesize_sane cachesize=%lu / pagesize=%lu \n",
         (unsigned long)*cachesize,(unsigned long)pagesize,0);
 
 #ifdef LINUX
     /* Linux we calculate availpages correctly, so USE IT */
     issane = (int)(cachepages <= availpages);
-    LDAPDebug(LDAP_DEBUG_TRACE,"util_is_cachesize_sane cachepages=%lu <= availpages=%lu\n",
+    LDAPDebug(LDAP_DEBUG_TRACE, LOG_DEBUG,"util_is_cachesize_sane cachepages=%lu <= availpages=%lu\n",
         (unsigned long)cachepages,(unsigned long)availpages,0);
 
     if (!issane) {
@@ -1805,11 +1805,11 @@ int util_is_cachesize_sane(size_t *cachesize)
 #else
     size_t freepages = 0;
     freepages = pages - procpages;
-    LDAPDebug(LDAP_DEBUG_TRACE,"util_is_cachesize_sane pages=%lu - procpages=%lu\n",
+    LDAPDebug(LDAP_DEBUG_TRACE, LOG_DEBUG,"util_is_cachesize_sane pages=%lu - procpages=%lu\n",
         (unsigned long)pages,(unsigned long)procpages,0);
 
     issane = (int)(cachepages <= freepages);
-    LDAPDebug(LDAP_DEBUG_TRACE,"util_is_cachesize_sane cachepages=%lu <= freepages=%lu\n",
+    LDAPDebug(LDAP_DEBUG_TRACE, LOG_DEBUG,"util_is_cachesize_sane cachepages=%lu <= freepages=%lu\n",
         (unsigned long)cachepages,(unsigned long)freepages,0);
 
     if (!issane) {
diff --git a/ldap/servers/slapd/value.c b/ldap/servers/slapd/value.c
index 6eaa4cf..3c9ea02 100644
--- a/ldap/servers/slapd/value.c
+++ b/ldap/servers/slapd/value.c
@@ -562,7 +562,7 @@ value_size(const Slapi_Value *v)
 static void
 value_dump( const Slapi_Value *value, const char *text)
 {
-    LDAPDebug( LDAP_DEBUG_ANY, "Slapi_Value %s ptr=%lx\n", text, value, 0);
+    LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR, "Slapi_Value %s ptr=%lx\n", text, value, 0);
 	/* JCM - Dump value contents... */
 }
 #endif
diff --git a/ldap/servers/slapd/valueset.c b/ldap/servers/slapd/valueset.c
index 35f02c1..909c2d9 100644
--- a/ldap/servers/slapd/valueset.c
+++ b/ldap/servers/slapd/valueset.c
@@ -894,7 +894,7 @@ valueset_value_syntax_cmp( const Slapi_Attr *a, const Slapi_Value *v1, const Sla
 		 * generate the keys will be found (there exists a default plugin)
 		 * log an error and continue.
 		 */
-		LDAPDebug( LDAP_DEBUG_ANY, "valueset_value_syntax_cmp: "
+		LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR, "valueset_value_syntax_cmp: "
 		    "slapi_attr_values2keys_sv failed for type %s\n",
 		    a->a_type, 0, 0 );
 	} else {
@@ -1290,7 +1290,7 @@ valueset_remove_valuearray(Slapi_ValueSet *vs, const Slapi_Attr *a, Slapi_Value
 			{
 				if((flags & SLAPI_VALUE_FLAG_IGNOREERROR) == 0)
 				{
-					LDAPDebug( LDAP_DEBUG_ARGS,"could not find value %d for attr %s\n", i-1, a->a_type, 0 );
+					LDAPDebug(LDAP_DEBUG_ARGS, LOG_DEBUG,"could not find value %d for attr %s\n", i-1, a->a_type, 0 );
 					rc= LDAP_NO_SUCH_ATTRIBUTE;
 				}
 			}
diff --git a/ldap/servers/slapd/vattr.c b/ldap/servers/slapd/vattr.c
index 577a8e7..ecc54a1 100644
--- a/ldap/servers/slapd/vattr.c
+++ b/ldap/servers/slapd/vattr.c
@@ -623,7 +623,7 @@ slapi_vattr_values_get_sp(vattr_context *c,
       if(!vattr_context_is_loop_msg_displayed(&c))
       {
         /* Print a handy error log message */
-        LDAPDebug(LDAP_DEBUG_ANY,
+        LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR,
           "Detected virtual attribute loop in get on entry %s, attribute %s\n",
           slapi_entry_get_dn_const(e), type, 0);
         vattr_context_set_loop_msg_displayed(&c);
@@ -831,7 +831,7 @@ int slapi_vattr_namespace_values_get_sp(vattr_context *c,
 			/* Print a handy error log message */
 			if(!vattr_context_is_loop_msg_displayed(&c))
 			{
-				LDAPDebug(LDAP_DEBUG_ANY,"Detected virtual attribute loop in get on entry %s, attribute %s\n", slapi_entry_get_dn_const(e), type, 0);
+				LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR,"Detected virtual attribute loop in get on entry %s, attribute %s\n", slapi_entry_get_dn_const(e), type, 0);
 				vattr_context_set_loop_msg_displayed(&c);
 			}
 			return rc;
@@ -1060,7 +1060,7 @@ int slapi_vattr_namespace_value_compare_sp(vattr_context *c,/* Entry we're inter
 	if (0 != rc) {
 		if(!vattr_context_is_loop_msg_displayed(&c)) {
 			/* Print a handy error log message */
-			LDAPDebug(LDAP_DEBUG_ANY,"Detected virtual attribute loop in compare on entry %s, attribute %s\n", slapi_entry_get_dn_const(e), type, 0);
+			LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR,"Detected virtual attribute loop in compare on entry %s, attribute %s\n", slapi_entry_get_dn_const(e), type, 0);
 			vattr_context_set_loop_msg_displayed(&c);
 		}
 		return rc;
@@ -1197,7 +1197,7 @@ int slapi_vattr_list_attrs(/* Entry we're interested in */ Slapi_Entry *e,
 	vattr_type_list_context type_context = {0};
 
 	if (NULL == types || NULL == buffer_flags) {
-		LDAPDebug(LDAP_DEBUG_ANY, "slapi_vattr_list_attrs: invalid param\n", 0, 0, 0);
+		LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR, "slapi_vattr_list_attrs: invalid param\n", 0, 0, 0);
 		return -1;
 	}
 
@@ -1946,7 +1946,7 @@ int vattr_add_attrval(objAttrValue **attrval, char *val)
 	int ret = 0;
 	objAttrValue *theVal;
 
-	LDAPDebug( LDAP_DEBUG_TRACE, "--> vattr_add_attrval\n",0,0,0);
+	LDAPDebug(LDAP_DEBUG_TRACE, LOG_DEBUG, "--> vattr_add_attrval\n",0,0,0);
 
 	/* create the attrvalue */
 	theVal = (objAttrValue*) slapi_ch_malloc(sizeof(objAttrValue));
@@ -1961,17 +1961,17 @@ int vattr_add_attrval(objAttrValue **attrval, char *val)
 		else
 		{
 			slapi_ch_free((void**)&theVal);
-			LDAPDebug( LDAP_DEBUG_ANY, "vattr_add_attrval: failed to allocate memory\n",0,0,0);
+			LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR, "vattr_add_attrval: failed to allocate memory\n",0,0,0);
 			ret = -1;
 		}
 	}
 	else
 	{
-		LDAPDebug( LDAP_DEBUG_ANY, "vattr_add_attrval: failed to allocate memory\n",0,0,0);
+		LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR, "vattr_add_attrval: failed to allocate memory\n",0,0,0);
 		ret = -1;
 	}
 
-	LDAPDebug( LDAP_DEBUG_TRACE, "<-- vattr_add_attrval\n",0,0,0);
+	LDAPDebug(LDAP_DEBUG_TRACE, LOG_DEBUG, "<-- vattr_add_attrval\n",0,0,0);
 	return ret;
 }
 
@@ -1981,7 +1981,7 @@ objAttrValue *vattr_map_entry_build_schema(char *type_name)
 	objAttrValue *ret = 0;
 	struct objclass	*oc;
 
-	LDAPDebug( LDAP_DEBUG_TRACE, "--> vattr_map_entry_build_schema\n",0,0,0);
+	LDAPDebug(LDAP_DEBUG_TRACE, LOG_DEBUG, "--> vattr_map_entry_build_schema\n",0,0,0);
 
 	/* this is the first opportunity to register
 	 * with the statechange api, our init function
@@ -2000,7 +2000,7 @@ objAttrValue *vattr_map_entry_build_schema(char *type_name)
 
 	if(!config_get_schemacheck())
 	{
-		LDAPDebug( LDAP_DEBUG_TRACE, "<-- vattr_map_entry_build_schema - schema off\n",0,0,0);
+		LDAPDebug(LDAP_DEBUG_TRACE, LOG_DEBUG, "<-- vattr_map_entry_build_schema - schema off\n",0,0,0);
 		return 0;
 	}
 
@@ -2038,7 +2038,7 @@ objAttrValue *vattr_map_entry_build_schema(char *type_name)
 	}
     oc_unlock();
 
-	LDAPDebug( LDAP_DEBUG_TRACE, "<-- vattr_map_entry_build_schema\n",0,0,0);
+	LDAPDebug(LDAP_DEBUG_TRACE, LOG_DEBUG, "<-- vattr_map_entry_build_schema\n",0,0,0);
 	return ret;
 }
 
-- 
2.7.4

